# $Revision: 1.10 $, $Date: 2010/08/22 08:51:27 $
%include	/usr/lib/rpm/macros.php
%define		_status		alpha
%define		_pearname	Services_Digg
Summary:	%{_pearname} - PHP interface to Digg's API
Summary(pl.UTF-8):	%{_pearname} - interfejs PHP do API Digga
Name:		php-pear-%{_pearname}
Version:	0.4.7
Release:	2
License:	New BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	11bf3da0e0bf74c01cee9a2dc300cc5c
URL:		http://pear.php.net/package/Services_Digg/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-curl
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An interface for accessing Digg's web services API at
<http://services.digg.com/>.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Pakiet ten dostarcza interfejs umożliwiający dostęp do usług WWW
serwisu Digg znajdujących się pod adresem <http://services.digg.com/>.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Services/Digg
%{php_pear_dir}/Services/Digg.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/Services_Digg
%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Services_Digg.spec,v $
Revision 1.10  2010/08/22 08:51:27  glen
- ensure rpmbuild macros present

Revision 1.9  2010/08/21 19:08:26  glen
- updated deps with pearize.sh
- release 2

Revision 1.8  2010/08/20 13:16:08  glen
- updated to: 0.4.7

Revision 1.7  2009/05/03 09:07:59  adamg
- updated to 0.4.5

Revision 1.6  2008/05/03 08:42:26  adamg
- updated to 0.4.4

Revision 1.5  2008-04-07 20:21:41  qboosh
- pl fix

Revision 1.4  2008-01-31 12:16:10  glen
- rel 2

Revision 1.3  2007-12-06 10:07:29  adamg
- updated to 0.4.1

Revision 1.2  2007/09/24 21:33:22  adamg
- updated to 0.3.2

Revision 1.1  2007/09/03 15:26:08  adamg
- new
